InputStreamReader Class Reference

Class for reading from character streams. More...

Inheritance diagram for InputStreamReader:

## Public Member Functions

| InputStreamReader (const InputStreamPtr &in)
| Creates an InputStreamReader that uses the default charset. More...
| InputStreamReader (const InputStreamPtr &in, const CharsetDecoderPtr &enc)
| Creates an InputStreamReader that uses the given charset decoder. More...
| ~InputStreamReader ()
virtual void | close (Pool &p)
| Closes the stream. More...
virtual LogString | read (Pool &p)
LogString | getEncoding () const
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Additional Inherited Members

Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Member Functions inherited from Reader
| Reader ()
| Creates a new character-stream reader. More...
virtual | ~Reader ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

Class for reading from character streams.

Decorates a byte based InputStream and provides appropriate conversion to characters.

## Constructor & Destructor Documentation

## InputStreamReader() [1/2]

InputStreamReader | ( | const InputStreamPtr & | in | ) |

Creates an InputStreamReader that uses the default charset.

Parameters

  in | The input stream to decorate.

## InputStreamReader() [2/2]

InputStreamReader | ( | const InputStreamPtr & | in,
|  | const CharsetDecoderPtr & | enc
| ) |  |

Creates an InputStreamReader that uses the given charset decoder.

Parameters

  in | The input stream to decorate.
  enc | The charset decoder to use for the conversion.

## ~InputStreamReader()

~InputStreamReader | ( |  | ) |

## Member Function Documentation

## close()

virtual void close | ( | Pool & | p | ) |

virtual

Closes the stream.

Parameters

  p | The memory pool associated with the reader.

Implements Reader.

## getEncoding()

LogString getEncoding | ( |  | ) | const

Returns
  The name of the character encoding being used by this stream.

## read()

virtual LogString read | ( | Pool & | p | ) |

virtual

Returns
  The complete stream contents as a LogString.

Parameters

  p | The memory pool associated with the reader.

Implements Reader.

The documentation for this class was generated from the following file:

- inputstreamreader.h